"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _divider = _interopRequireDefault(require("senswap-ui/divider"));

var _grid = _interopRequireDefault(require("senswap-ui/grid"));

var _drain = _interopRequireDefault(require("senswap-ui/drain"));

var _typography = _interopRequireDefault(require("senswap-ui/typography"));

var _list = require("senswap-ui/list");

var _SvgIcon = _interopRequireDefault(require("@material-ui/core/SvgIcon"));

var _styles = require("./styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    root: {
      width: '100%',
      maxWidth: '36ch',
      backgroundColor: theme.palette.background.default
    },
    Complete: {
      color: '#4FBF67'
    },
    Pending: {
      color: '#ffae1a'
    },
    Cancel: {
      color: '#ff6060'
    }
  };
}); // SVG icon for Deposit

var DepositIcon = function DepositIcon() {
  return /*#__PURE__*/_react.default.createElement(_SvgIcon.default, {
    style: {
      fontSize: 40
    },
    width: "40",
    height: "40",
    viewBox: "0 0 40 40",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/_react.default.createElement("circle", {
    cx: "20",
    cy: "20",
    r: "20",
    fill: "#6C5DD3"
  }), /*#__PURE__*/_react.default.createElement("rect", {
    x: "12.5",
    y: "16.5",
    width: "15",
    height: "11",
    rx: "1",
    stroke: "white",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("circle", {
    cx: "20",
    cy: "22",
    r: "2.5",
    stroke: "white",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M14.5 14.5H25.5",
    stroke: "white",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M16.5 12.5H23.5",
    stroke: "white",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }));
}; // SVG icon for Withdraw


var WithdrawIcon = function WithdrawIcon() {
  return /*#__PURE__*/_react.default.createElement(_SvgIcon.default, {
    style: {
      fontSize: 40
    },
    width: "40",
    height: "40",
    viewBox: "0 0 40 40",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/_react.default.createElement("circle", {
    cx: "20",
    cy: "20",
    r: "20",
    fill: "#4FBF67"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M22 16.5L24.5 12.5H15.5L18 16.5",
    stroke: "white",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M22 16.5H18C18 16.5 13.5 19.722 13.5 23.056C13.5 25.278 15.125 27.5 20 27.5C24.875 27.5 26.5 25.278 26.5 23.056C26.5 19.722 22 16.5 22 16.5Z",
    stroke: "white",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }));
};

var ACTION = {
  deposit: {
    name: 'Deposit',
    icon: DepositIcon
  },
  withdraw: {
    name: 'Withdraw',
    icon: WithdrawIcon
  }
};
var dateFormat = {
  year: 'numeric',
  month: 'short',
  day: 'numeric'
};

var ListItemHistory = function ListItemHistory(props) {
  var classes = useStyles();

  var variant = props.variant,
      status = props.status,
      amount = props.amount,
      units = props.units,
      userClasses = props.classes,
      others = _objectWithoutProperties(props, ["variant", "status", "amount", "units", "classes"]);

  var date = (props === null || props === void 0 ? void 0 : props.date) === 0 ? Date.now() : props.date;

  var defaultClasses = _objectSpread({
    root: classes.root
  }, userClasses);

  return /*#__PURE__*/_react.default.createElement(_list.ListItem, _extends({
    alignItems: "flex-start",
    classes: defaultClasses
  }, others), /*#__PURE__*/_react.default.createElement(_list.ListItemIcon, null, ACTION[variant].icon()), /*#__PURE__*/_react.default.createElement(_list.ListItemText, {
    disableTypography: true,
    primary: /*#__PURE__*/_react.default.createElement(_grid.default, {
      container: true,
      spacing: 2
    }, /*#__PURE__*/_react.default.createElement(_grid.default, {
      item: true,
      xs: 6
    }, /*#__PURE__*/_react.default.createElement(_typography.default, null, ACTION[variant].name)), /*#__PURE__*/_react.default.createElement(_grid.default, {
      item: true,
      xs: 6
    }, /*#__PURE__*/_react.default.createElement(_typography.default, {
      align: "right"
    }, new Date(date).toLocaleString("en-US", dateFormat)))),
    secondary: /*#__PURE__*/_react.default.createElement(_grid.default, {
      item: true,
      xs: 12
    }, /*#__PURE__*/_react.default.createElement(_typography.default, {
      className: classes[status]
    }, status), /*#__PURE__*/_react.default.createElement(_drain.default, {
      size: 2
    }), /*#__PURE__*/_react.default.createElement(_typography.default, {
      color: "textPrimary"
    }, amount, " ", units), /*#__PURE__*/_react.default.createElement(_drain.default, {
      size: 2
    }), /*#__PURE__*/_react.default.createElement(_divider.default, null))
  }));
};

ListItemHistory.defaultProps = {
  variant: '',
  status: '',
  date: Date.now(),
  amount: 0.0,
  units: ''
};
ListItemHistory.propTypes = {
  variant: _propTypes.default.oneOf(Object.keys(ACTION)),
  status: _propTypes.default.string,
  // PropTypes.oneOf(['Complete', 'Pending', 'Cancel'])
  date: _propTypes.default.number,
  amount: _propTypes.default.number,
  units: _propTypes.default.string
};
var _default = ListItemHistory;
exports.default = _default;